Bug 208967 - repotrack fails with import error
repotrack fails with import error
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
Blocks: FE7Target
  Show dependency treegraph
Reported: 2006-10-02 15:39 EDT by Stephanos Manos
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-26 08:28:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephanos Manos 2006-10-02 15:39:43 EDT
Description of problem:
when running repotrack fails with the following error

Traceback (most recent call last):
  File "/usr/bin/repotrack", line 35, in ?
    from repomd.packageSack import ListPackageSack
ImportError: No module named repomd.packageSack

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run repotrack --help

Actual results:
the above message

Expected results:
the commands usage

Additional info:
replasing from repomd.packageSack import ListPackageSack
with from yum.packageSack import ListPackageSack

Comment 1 Stephanos Manos 2006-11-06 17:12:18 EST
fixed in version 1.0
Comment 2 Michael Schwendt 2007-01-26 08:28:52 EST
Bug reporters can close their own tickets, too.

Note You need to log in before you can comment on or make changes to this bug.